/* Reset some default styles */
body, html {
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
}

/* Styling the container */
.dynalight-regular {
  font-family: "Dynalight", cursive;
  font-weight: 400;
  font-style: normal;
}

#container {
    background-image: url(FONDO.svg);
    background-color: rgb(170,185,216);
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

/* Styling the logo */
#logo {
    position: absolute;
    top: 20px; /* Adjust as needed */
    left: 50%;
    transform: translateX(-50%);
    text-align: center;
    font-size: 24px;
    font-family: Arial, sans-serif;
    transition: opacity .3s ease;
}

#logo img {
    height: 100px;
}

#logo:hover {
    opacity: 0.8;
}

/* Styling the text block */
#texto {
    text-align: center;
    color: rgb(32,31,72);
    font-family: "Futura", Arial, sans-serif;
}

#texto h1 {
    margin: 10px 0;
    font-size: 48px;
    font-weight: 500;
}

#texto h2 {
    margin: 10px 0;
    font-size: 42px;
    font-weight: 500;
}

#texto h3 {
    margin: 30px 0;
    font-size: 32px;
    font-weight: 300;
}

#texto h4 {
    font-size: 18px;
    margin-bottom: 25px;
    font-weight: 300;
    color: rgb(127,72,46);
}

#cim_logo {
    max-width: 300px;
    width: 70%;
}

#cta {
    display: inline-block;
    padding: 20px 40px;
    background-color: rgb(127,72,46);
    color: white;
    text-decoration: none;
    font-size: 16px;
    border-radius: 50px;
    transition: background-color .5s ease;
    transition: transform .3s ease;
}

#cta:hover {
    background-color: hsl(19, 47%, 20%);
    transform: scale(1.1);
    transition: background-color .5s ease;
    transition: transform .3s ease;
}

#phone, #mail {
    display: block;
    padding: 10px 40px;
    color: rgb(32,31,72);
    text-decoration: none;
    font-size: 16px;
    border-radius: 50px;
    transition: background-color .5s ease;
    transition: transform .3s ease;
}

#phone:hover, #mail:hover {
    text-decoration: underline;
}

#phone img, #mail img {
    vertical-align: middle;
    height: 30px;
}

#phone {
    margin-top: 10px;
}

@media (max-width: 768px) {
    #texto h1 {
        font-size: 34px;
    }
    #texto h2 {
        font-size: 26px;
    }
    #texto h3 {
        font-size: 18px;
    }
    #logo img {
        height: 70px;
    }
}